{% load projet_filter icon %}

<button class="close" onclick="load_description();"><i class="fas fa-times"></i></button>

<h2 class="title">{{ tache.nom }}</h2>

{% if not tache.creneaux.all or tache.membreAssigne.all %}
    {% if tache.membreAssigne.all or tache.maxMembreAssignable > 0 %}
        <section>
            <h3 class="title">Membres inscrits</h3>
            <p>
                Membre{{ tache.maxMembreAssignable|pluralize }} assignable{{ tache.maxMembreAssignable|pluralize }}
                : {{ tache.maxMembreAssignable }}.<br/>
            </p>

            {% if tache.membreAssigne.all %}
                Membre{{ tache.membreAssigne.all|length|pluralize }} inscrit
                {{ tache.membreAssigne.all|length|pluralize }} :
                <ul class="list-group">
                    {% for participant in tache.membreAssigne.all %}
                        <li class="list-group-item list-group-item-action">
                            {% if user|admin:tache and not tache.tacheTerminee %}
                                <a href="javascript:supprimer_participant_tache({{ tache.id }},{{ participant.id }});"><i
                                        class="fas fa-times"></i></a>
                            {% endif %}
                            <strong>{{ participant.utilisateur.nomComplet }}</strong>
                        </li>
                    {% endfor %}
                </ul>
            {% endif %}

            {% ifnotequal tache.maxMembreAssignable 0 %}
                {% ifnotequal tache.membreAssigne.all|length tache.maxMembreAssignable %}
                    {% if not est_inscrit_tache and est_inscrit_au_projet and not tache.tacheTerminee %}
                        {% if tache.ficheCessionDroits and user|necessite_cession_droits:tache %}
                            <button class="btn btn-primary" onclick="fiche_cession_droits_tache({{ tache.id }});">
                                S'inscrire
                            </button>
                        {% else %}
                            <button class="btn btn-primary" onclick="inscription_tache({{ tache.id }});">S'inscrire
                            </button>
                        {% endif %}
                        <br/>
                    {% endif %}
                {% endifnotequal %}
            {% endifnotequal %}
        </section>
    {% endif %}
{% endif %}

<section>
    <h3 class="title">Créneaux</h3>

    {% for creneau in tache.creneaux.all %}
        <h4 class="subtitle">
            Créneau {{ forloop.counter }}
            {% if user|admin:tache and not tache.tacheTerminee %}
                <button class="btn btn-outline-primary btn-sm"
                        onclick="location.href = '{% url 'edit_creneau' creneau.id %}';"><i class="far fa-edit"></i>
                </button>
                <button class="btn btn-outline-danger btn-sm" href="javascript:supprimer_creneau({{ creneau.id }});"
                        data-toggle="confirmation" data-btn-ok-label="Supprimer"
                        data-btn-cancel-label="Annuler" data-title="Supprimer le créneau ?">
                    <i class="fas fa-times"></i>
                </button>
            {% endif %}
        </h4>

        <p>
            {% ifnotequal creneau.maxMembreAssignable 0 %}
                Membre{{ creneau.maxMembreAssignable|pluralize }} assignable{{ creneau.maxMembreAssignable|pluralize }}:
                {{ creneau.maxMembreAssignable }}.<br/>
            {% endifnotequal %}

            {% if not creneau.fin %}
                Le {{ creneau.debut|date:'d F o' }} à {{ creneau.debut|date:'H:i' }}.
            {% else %}
                {% ifequal creneau.debut.day creneau.fin.day %}
                    Le {{ creneau.debut|date:'d F o' }} à {{ creneau.debut|date:'H:i' }} (durée :
                    {{ creneau.debut|duree:creneau.fin }}).
                {% else %}
                    Du {{ creneau.debut|date:'d F o' }} à {{ creneau.debut|date:'H:i' }}
                    au {{ creneau.fin|date:'d F o' }} à {{ creneau.fin|date:'H:i' }}.
                {% endifequal %}
            {% endif %}

            {% if creneau.membreAssigne.all %}
                <br/>
                Membre{{ creneau.membreAssigne.all|length|pluralize }} inscrit
                {{ creneau.membreAssigne.all|length|pluralize }} :
                <ul class="list-group">
                    {% for participant in creneau.membreAssigne.all %}
                        <li class="list-group-item list-group-item-action">
                            {% if user|admin:tache and not tache.tacheTerminee %}
                                <a href="javascript:supprimer_participant_creneau({{ creneau.id }},{{ participant.id }});"><i
                                        class="fas fa-times"></i></a>
                            {% endif %}
                            <strong>{{ participant.utilisateur.nomComplet }}</strong>
                        </li>
                    {% endfor %}
                </ul>
            {% endif %}
        </p>

        {% ifnotequal creneau.maxMembreAssignable 0 %}
            {% ifnotequal creneau.membreAssigne.all|length creneau.maxMembreAssignable %}
                {% if creneau not in creneaux_inscrits and est_inscrit_au_projet and not tache.tacheTerminee %}
                    {% if tache.ficheCessionDroits and user|necessite_cession_droits:tache %}
                        <button class="btn btn-primary" onclick="fiche_cession_droits({{ creneau.id }});">S'inscrire
                        </button>
                    {% else %}
                        <button class="btn btn-primary" onclick="inscription_creneau({{ creneau.id }});">S'inscrire
                        </button>
                    {% endif %}
                    {% if forloop.last %}
                        <br/>
                    {% endif %}
                {% endif %}
            {% endifnotequal %}
        {% endifnotequal %}
    {% empty %}
        <p>
            Aucun créneau n'est associé à cette tâche.
        </p>
    {% endfor %}

    {% if not tache.tacheTerminee and user|admin:tache %}
        <button class="btn btn-outline-dark" onclick="location.href = '{% url 'ajout_creneau' tache.id %}';">
            <i class="fas fa-plus-circle"></i> Créneau
        </button>
    {% endif %}

</section>

<section>
    <h3 class="title">Emprunt{{ tache.emprunts.all|length|pluralize }}</h3>

    {% if tache.emprunts.all %}
        {% for emprunt in tache.emprunts.all %}
            <p>
                {% ifequal emprunt.debut.day emprunt.fin.day %}
                    Emprunt le {{ emprunt.debut|date:'d F o' }} à {{ emprunt.debut|date:'H:i' }} pendant
                    {{ emprunt.debut|duree:emprunt.fin }}.
                {% else %}
                    Emprunt du {{ emprunt.debut|date:'d F o' }} à {{ emprunt.debut|date:'H:i' }}
                    au {{ emprunt.fin|date:'d F o' }} à {{ emprunt.fin|date:'H:i' }}.
                {% endifequal %}
                {% if emprunt.est_en_attente %}
                    (<strong>Non validé</strong>)
                {% endif %}
            </p>

            <ul>
                {% for elem in emprunt.elements.all %}
                    <li>
                        {{ elem.materiel.nom }}
                        {% if elem.quantite != 1 %}
                            (Quant: {{ elem.quantite }})
                        {% endif %}
                    </li>
                {% endfor %}
            </ul>
        {% endfor %}
    {% endif %}

    {% if not tache.tacheTerminee %}
        {% if user|admin:tache or est_inscrit_tache %}
            <button class="btn btn-outline-dark" onclick="location.href = '{% url 'emprunt' tache.id %}';">
                <i class="fas fa-plus-circle"></i> Emprunt
            </button>
        {% endif %}
    {% endif %}

</section>

{% if user|admin:tache %}
    <section>
        <h3 class="title">Fichiers</h3>

        <ul>
            {% for fichier in tache.fichiers.all %}
                <li><a href="{% url "telecharger_fichier_tache" fichier.id %}"
                       target="_blank">{{ fichier|truncatechars:'26' }}</a></li>
            {% endfor %}
        </ul>
{##}
{#        {% if not tache.tacheTerminee and user.is_staff %}#}
{#            <button class="btn btn-outline-dark btn-sm"#}
{#                    onclick="location.href = '{% url 'note_de_frais_tache' tache.id %}';">#}
{#                <i class="fas fa-plus-circle fa-sm"></i> Note de frais#}
{#            </button>#}
{#        {% endif %}#}

    </section>
{% endif %}

{% if not tache.tacheTerminee and user|admin:tache %}
    {% if not tache.diffusee and tache.visible %}
        <button class="btn btn-primary btn-sm" onclick="diffuser({{ tache.id }});">Diffuser à tous les membres</button>
    {% endif %}
{% endif %}
{% if est_inscrit_tache and not tache.tacheTerminee %}
    <button class="btn btn-success btn-lg" onclick="terminer_tache({{ tache.id }});">Terminer la tâche</button>
{% endif %}


<script type="text/javascript">
    $('[data-toggle=confirmation]').confirmation({
        rootSelector: '[data-toggle=confirmation]'
    });
</script>